PETSc version 3.15.5
Fix/Edit manual page

# DMShellGetCoarsen

Get the routine used to coarsen the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCoarsen(DM dm, PetscErrorCode (**coarsen)(DM,MPI_Comm,DM*))

Logically Collective on dm

### Input Argument

| dm | - the shell DM

### Output Argument

| coarsen | - the routine that coarsens the DM

### See Also

DMShellSetCoarsen(), DMCoarsen(), DMShellSetRefine(), DMRefine()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages